%define upstream_name	 Archive-Cpio
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Manipulations of cpio archives
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PI/PIXEL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Archive::Cpio provides a few functions to read and write cpio files.

cpio-filter is a script using Archive::Cpio that transforms a cpio archive on
the fly

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%{make_install}

%files 
%doc Changes META.yml
%{perl_vendorlib}/Archive/Cpio*
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.100.0-4.mga9
+ Revision: 1808297
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-3.mga8
+ Revision: 1503467
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.100.0-2.mga7
+ Revision: 1281752
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 tv <tv> 0.100.0-1.mga7
+ Revision: 1251589
- use new macros
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 0.100.0-1.mga6
+ Revision: 903332
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 748478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 683535
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 509150
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 363097
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 107725
- update to 0.09

* Mon May 30 2011 blino <blino> 0.80.0-2.mga1
+ Revision: 100769
- fix cpio-filter --in-place --exclude by passing filenames to
  Archive::Cpio::remove (adapt to new API)
  this should fix grub-gfxmenu adding multiple back.jpg in /boot/gfxmenu

* Mon Jan 31 2011 dmorgan <dmorgan> 0.80.0-1.mga1
+ Revision: 44845
- Remove merged patch
- New version

* Thu Jan 20 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 25839
- mageia rebuild
- imported package perl-Archive-Cpio

